ESourceSelectorDialog
3
LIBEDATASERVERUI Library

# ESourceSelectorDialog

## Synopsis

                        ESourceSelectorDialog;
    GtkWidget*          e_source_selector_dialog_new        (GtkWindow *parent,
                                                             ESourceList *source_list);
    ESource*            e_source_selector_dialog_peek_primary_selection
                                                            (ESourceSelectorDialog *dialog);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----ESourceSelectorDialog

## Implemented Interfaces

ESourceSelectorDialog implements GtkBuildable and AtkImplementorIface.

## Description

## Details

### ESourceSelectorDialog

    typedef struct _ESourceSelectorDialog ESourceSelectorDialog;

### e_source_selector_dialog_new ()

    GtkWidget*          e_source_selector_dialog_new        (GtkWindow *parent,
                                                             ESourceList *source_list);

Create a new source selector dialog for the given `list`.

`parent` :

  Parent window.

`source_list` :

  A source list.

Returns :

  The newly created widget.

### e_source_selector_dialog_peek_primary_selection ()

    ESource*            e_source_selector_dialog_peek_primary_selection
                                                            (ESourceSelectorDialog *dialog);

Peek the currently selected source in the given `dialog`.

`dialog` :

  An ESourceSelectorDialog widget.

Returns :

  the selected ESource.